Skip to main content
GET
Get Token Balances by Token

Authorizations

apikey
string
header
required

API key for authentication

Path Parameters

chain
enum<string>
required

The blockchain network to query

Available options:
apechain,
arbitrum,
base,
berachain,
binance,
bittorrent,
blast,
celo,
chiliz,
cronos,
educhain,
ethereum,
fantom,
gnosis,
kaia,
mantle,
optimism,
polygon,
polygon_zkevm,
sonic,
story,
unichain
Example:

"ethereum"

address
string
required

The EVM wallet address (0x-prefixed, 42 characters)

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xC288Cdb9785dbAd66a47A668A0B18E55466d3127"

Query Parameters

token_addresses
string
required

Comma-separated list of token contract addresses to filter by (max 10)

Example:

"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"

block_number
integer

Optional block number for point-in-time historical balance. If omitted, returns the latest known balance.

Required range: x >= 0
Example:

23525000

Response

Token balances for the specified tokens

token_address
string

Contract address of the token

token_symbol
string

Token symbol (e.g., USDT, ETH)

token_name
string

Full token name

current_price
number | null

Current token price in USD

price_last_updated
string<date-time> | null

ISO timestamp of last price update

balance
number

Token balance for the wallet

datetime_last_updated
string<date-time>

Timestamp when this balance was last updated

block_number_last_updated
integer

Block number when this balance was last updated

Example: